diff --git a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
index 557e44b7a..75b5acc9c 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
@@ -760,31 +760,37 @@ define('pgadmin.node.role', [
 
                   let roleReassignData = this.view.model.toJSON(),
                     roleOp = roleReassignData.role_op,
-                    confirmBoxTitle = utils.titleize(roleOp);
-
-                  alertify.confirm(
-                    gettext('%s Objects', confirmBoxTitle),
-                    gettext('Are you sure you wish to %s all the objects owned by the selected role?', roleOp),
-                    function() {
-                      axios.post(
-                        finalUrl,
-                        roleReassignData
-                      ).then(function (response) {
-                        if(response.data)
-                          alertify.success(response.data.info);
-                      }).catch(function (error) {
-                        try {
-                          const err = error.response.data;
-                          alertify.alert(
-                            gettext('Role reassign/drop failed.'),
-                            err.errormsg
-                          );
-                        } catch (e) {
-                          console.warn(e.stack || e);
-                        }
-                      });
-                    },
-                    function() { return true; }
+                    title, msg;
+
+                  if(roleOp == 'reassign') {
+                    title = gettext('Reassign Objects');
+                    msg = gettext('Are you sure you wish to reassign all the objects owned by the selected role?');
+                  }
+                  else {
+                    title = gettext('Drop Objects');
+                    msg = gettext('Are you sure you wish to drop all the objects owned by the selected role?');
+                  }
+
+                  alertify.confirm(title, msg, function() {
+                    axios.post(
+                      finalUrl,
+                      roleReassignData
+                    ).then(function (response) {
+                      if(response.data)
+                        alertify.success(response.data.info);
+                    }).catch(function (error) {
+                      try {
+                        const err = error.response.data;
+                        alertify.alert(
+                          gettext('Role reassign/drop failed.'),
+                          err.errormsg
+                        );
+                      } catch (e) {
+                        console.warn(e.stack || e);
+                      }
+                    });
+                  },
+                  function() { return true; }
                   ).set('labels', {
                     ok: gettext('Yes'),
                     cancel: gettext('No'),
